Skip to main content
POST
/
payments
/
contacts
Create Contact
curl --request POST \
  --url https://api.rootfi.dev/v4/payments/contacts \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "company_id": 123,
  "name": "<string>",
  "tax_number": "<string>",
  "status": "ACTIVE",
  "addresses": [
    {
      "type": "SHIPPING",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    }
  ]
}
'
{
  "rootfi_id": 157,
  "rootfi_created_at": "2024-01-22T05:07:31.465Z",
  "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
  "rootfi_company_id": 1089,
  "platform_id": "123456",
  "rootfi_deleted_at": "2023-11-07T05:31:56Z",
  "platform_unique_id": "<string>",
  "raw_data": {},
  "data_hash": "<string>",
  "name": "<string>",
  "tax_number": "<string>",
  "type": "CUSTOMER",
  "status": "ACTIVE",
  "created_at": "<string>",
  "updated_at": "<string>",
  "addresses": [
    {
      "type": "SHIPPING",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>"
    }
  ]
}
A contact is an individual or business entity that receives invoices and makes payments. Commonly referred to as a customer in payment contexts.

Request Body

FieldTypeRequiredDescription
namestringYesFull name or business name of the contact
tax_numberstringNoTax identification number (e.g., EIN, VAT number)
statusstringNoContact status (active, inactive, suspended). Defaults to active
addressesarrayNoArray of address objects for billing/shipping
See Contact Overview for complete field details.

Authorizations

api_key
string
header
required

Body

application/json
company_id
integer
required

The Commenda company ID to create the contact under.

name
string
required

Full name or business name of the contact.

tax_number
string | null

Tax identification number (e.g., EIN, VAT number).

status
enum<string> | null

Contact status. Defaults to ACTIVE.

Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
ARCHIVED,
UNKNOWN
addresses
paymentsV4Address · object[] | null

Array of address objects.

Response

Contact created successfully

V4 Contact model representing individuals or business entities that receive invoices and make payments.

rootfi_id
number<double>
required

The unique ID we assign for that data's information

Example:

157

rootfi_created_at
string<date-time>
required

The date at which RootFi first synced this data

Example:

"2024-01-22T05:07:31.465Z"

rootfi_updated_at
string<date-time>
required

The latest date at which RootFi updated this data

Example:

"2024-01-22T05:07:31.000Z"

rootfi_company_id
number<double>
required

The ID of the company in the accounting platform

Example:

1089

platform_id
string
required

An unique custom RootFi ID made from platform's unique_id.

Example:

"123456"

rootfi_deleted_at
string<date-time> | null

The date at which the data was deleted in the accounting platform

platform_unique_id
string | null

The ID of the data in the accounting platform.

raw_data
object

A JSON containing fields that you can directly get from the accounting platform.

data_hash
string | null

The hash of the data

name
string | null

Full name or business name of the contact (e.g., "Acme Corporation").

tax_number
string | null

Tax identification number (e.g., EIN, VAT number, SSN).

type
enum<string> | null

Type of contact relationship (CUSTOMER, VENDOR, BOTH, UNKNOWN).

Available options:
CUSTOMER,
VENDOR,
BOTH,
UNKNOWN
status
enum<string> | null

Current status of the contact account (ACTIVE, INACTIVE, SUSPENDED, ARCHIVED, UNKNOWN).

Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
ARCHIVED,
UNKNOWN
created_at
string | null

Original creation timestamp from the source platform (ISO 8601).

updated_at
string | null

Last modification timestamp from the source platform (ISO 8601).

addresses
paymentsV4Address · object[] | null

Collection of Address objects for billing and shipping.